/*
*  BackupCpyDlgs.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef BackupCpyDlgsH
#define BackupCpyDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall DoBackupDatabase(TForm *Owner, AnsiString path, AnsiString dbname,
   int copies, int passes);
bool __fastcall DoRestoreDatabase(TForm *Owner, AnsiString dbName, AnsiString BakFile);

class TBackupCpyDlg : public TForm
{
__published:	// IDE-managed Components
	TPanel *Display;
	TTimer *Timer1;
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);

private:	// User declarations
public:		// User declarations
   int copies,passes;
   bool isbackup;
   AnsiString path,name,bakfile,displaymsg,errorstr;
   __fastcall TBackupCpyDlg(TComponent* Owner);
   bool __fastcall ExecuteBackup(AnsiString Path, AnsiString Name, int Copies, int Passes);
   bool __fastcall ExecuteRestore(AnsiString Name, AnsiString BakFile);
   void __fastcall FlashMessage(AnsiString msg);
   bool __fastcall RestoreDatabase();
   bool __fastcall BackupDatabase();
};

// Zap Thread --------------------------------------------------------------
void  __fastcall DoThreadZap(AnsiString Filename, int Zapcount);
class TZapThread : public TThread
{
protected:
	void __fastcall Execute();
public:
   int zaps;
   AnsiString filename;
   __fastcall TZapThread(bool CreateSuspended);
};

// Copy Thread -------------------------------------------------------------
void  __fastcall DoThreadCopy(TBackupCpyDlg *Owner, AnsiString Filename, AnsiString Copyname);
class TCopyThread : public TThread
{
protected:
	void __fastcall Execute();
public:
   TBackupCpyDlg *owner;
   AnsiString filename,copyname,errorstr;
   __fastcall TCopyThread(bool CreateSuspended);
   void __fastcall Terminate(TObject *Sender);
};
//---------------------------------------------------------------------------
extern TBackupCpyDlg *BackupCpyDlg;
//---------------------------------------------------------------------------
#endif
