/*
*  BrokeChnDlgs.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef BrokeChnDlgsH
#define BrokeChnDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall CheckBrokenChainDialog(TForm *Owner, AnsiString &Text);

bool __fastcall GetBrokenMixChains(TStrings *ToStrings);
bool __fastcall HasBrokenMixChain(TForm *Owner, TStrings *msg);
bool __fastcall HasBrokenMixChainAfterEncrypt(TForm *Owner, AnsiString orgchain,
  TStrings *chains);

class TBrokeChnDlg : public TForm
{
__published:	// IDE-managed Components
	TRichEdit *Msg;
	TButton *YesBtn;
	TButton *NoBtn;
	TButton *HelpBtn;
	void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TBrokeChnDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TBrokeChnDlg *BrokeChnDlg;
//---------------------------------------------------------------------------
#endif
