/*
*  CpkKeyImpDlgs.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef CpkKeyImpDlgsH
#define CpkKeyImpDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Dialogs.hpp>
#include "cpkkeywins2.h"
//---------------------------------------------------------------------------
bool __fastcall ImportCypherpunkKeys(TForm *Owner, TCpkKeyList2 *keylist,
   TCpkKeyList2 *impkeys, TCpkKeyList2 *dupkeys,
   AnsiString &importdir);

class TCpkKeyImpDlg : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TSpeedButton *ClipBtn;
	TSpeedButton *FileBtn;
	TListBox *ListBox1;
	TRichEdit *RichEdit1;
	TComboBox *ComboBox1;
	TTimer *Timer1;
	TPopupMenu *PopupMenu1;
	TMenuItem *PopDeleteItem;
	TOpenDialog *OpenDialog;
	TButton *ImportBtn;
	TButton *CancelBtn;
	TButton *HelpBtn;
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall ClipBtnClick(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
	void __fastcall FileBtnClick(TObject *Sender);
	
	
private:	// User declarations
public:		// User declarations
    int flash;
    AnsiString *impdir,cap;
    TCpkKeyList2 *keylist,*implist,*duplist,*dislist;
	virtual __fastcall TCpkKeyImpDlg(TComponent* Owner);
    virtual __fastcall TCpkKeyImpDlg(TComponent* Owner, TCpkKeyList2 *Keylist,
       TCpkKeyList2 *ImpKeys, TCpkKeyList2 *DupKeys, AnsiString &ImportDir);
    virtual __fastcall ~TCpkKeyImpDlg();
    void __fastcall ImportKeys(AnsiString Name, AnsiString Ascii);
};
//---------------------------------------------------------------------------
extern TCpkKeyImpDlg *CpkKeyImpDlg;
//---------------------------------------------------------------------------
#endif
