/*
*  DelGrpsDlg.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef DelGrpsDlgH
#define DelGrpsDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
const AnsiString newsgroups = "Newsgroups: ";
const AnsiString references = "References: ";

bool __fastcall MassageNewsgroups(AnsiString &Groups, TComponent *Owner);

class TDelGroupsDlg : public TForm
{
__published:	// IDE-managed Components
  TListBox *ListBox1;
  TButton *OkBtn;
  TEdit *LengthEd;
  TButton *CancelBtn;
  TPanel *Panel1;
  TRichEdit *RichEdit1;
  void __fastcall ListBox1Click(TObject *Sender);
  void __fastcall FormShow(TObject *Sender);
  
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
  int len;
  AnsiString groups;
  __fastcall TDelGroupsDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TDelGroupsDlg *DelGroupsDlg;
//---------------------------------------------------------------------------
#endif
