/*
*  DirBrow.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef DirBrowH
#define DirBrowH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\FileCtrl.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Menus.hpp>
//---------------------------------------------------------------------------
AnsiString __fastcall GetDirectoryPath(TForm *Owner, AnsiString &FileToFindThere=AnsiString(""));
AnsiString __fastcall GetAttachmentDirectory(TForm *Owner, AnsiString &InitialDir);
AnsiString __fastcall GetBackupDirectory(TForm *Owner, AnsiString &InitialDir);

class TBrowseDlg : public TForm
{
__published:	// IDE-managed Components
	 TDirectoryListBox *DirectoryListBox1;
   TButton *OkBtn;
   TButton *CancelBtn;
	 TFileListBox *FileListBox1;
   TDriveComboBox *DriveComboBox1;
	TPopupMenu *PopupMenu1;
	TMenuItem *PopDeleteItem;
	TBevel *Bevel1;
   void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall FormShow(TObject *Sender);
	
	void __fastcall PopupMenu1Popup(TObject *Sender);
	void __fastcall PopDeleteItemClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
   AnsiString FindFile,path;
   __fastcall TBrowseDlg(TComponent* Owner);
};

//---------------------------------------------------------------------------
extern TBrowseDlg *BrowseDlg;
//---------------------------------------------------------------------------
#endif
