/*
*  EditTutsDlgs.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "EditTutsDlgs.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TEditTutsDlg *EditTutsDlg;
//const AnsiString "Argus Help; https://vmsbox.cjb.net/QS-Beginners-Guide";
//---------------------------------------------------------------------------
bool __fastcall EditTutorialLinks(TForm *Owner, TStrings *links)
{
   bool edit=false;
   EditTutsDlg = new TEditTutsDlg(Owner);
   EditTutsDlg->Editor->Lines->AddStrings(links);
   EditTutsDlg->Editor->Modified = false;
   EditTutsDlg->ShowModal();
   if (EditTutsDlg->ModalResult==mrOk)
   {
      links->Text = EditTutsDlg->Editor->Lines->Text;
      edit = true;
   }
   delete EditTutsDlg;
   return edit;
}
//---------------------------------------------------------------------------
__fastcall TEditTutsDlg::TEditTutsDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,Owner);
}
//---------------------------------------------------------------------------
void __fastcall TEditTutsDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (Editor->Modified && ModalResult==mrCancel)
   {
      switch(MsgDlg(this,"Your links have been modified. Save your changes?",
         "Confirm",MB_YESNOCANCEL))
      {
         case mrCancel: CanClose = false;
         case mrNo: return;
      }
   }
}
//---------------------------------------------------------------------------
