/*
*  Pool.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef PoolH
#define PoolH
//---------------------------------------------------------------------------
int  __fastcall QSPoolNext();
void __fastcall QSPoolClear();
int  __fastcall QSPoolCount();
const AnsiString QSPoolKey = "QSPoolKey";
int  __fastcall QSPoolRemove(AnsiString &Name);
int  __fastcall QSPoolAdd(TStrings *Msg, AnsiString &Name);
int  __fastcall QSPoolGet(TStrings *Msg, AnsiString &Name, bool Remove=true);
bool __fastcall QSPoolHeaderToClearText(int &ClearText, TStrings *msg);
bool __fastcall QSPoolClearTextToHeader(TStrings *msg, int ClearText);
int  __fastcall QSPoolHeaderToClearText(TStrings *msg);
const AnsiString ClrTextHdr = "Clear-Text: ";
#endif
