/*
*  RptWin.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "RptWin.h"
//---------------------------------------------------------------------------
#pragma link "TextWins"
#pragma link "explbtn"
#pragma resource "*.dfm"
TReportWin *ReportWin;
//---------------------------------------------------------------------------
__fastcall TReportWin::TReportWin(TComponent* Owner)
   : TTextWin(Owner)
{
   Editor->WordWrap = false;
   Editor->Font->Name = "Courier New";
   Editor->Font->Color = clRed;
   Editor->Font->Size = 8;
}
//---------------------------------------------------------------------------
__fastcall TReportWin::TReportWin(TStrings *Report, AnsiString Title, TComponent* Owner)
   : TTextWin(Owner)
{
   Caption = Title;
   Editor->WordWrap = false;
   Editor->Lines->Text = Report->Text;
   Editor->Font->Name = "Courier New";
   Editor->Font->Color = clBlack;
   Editor->Font->Size = 9;
   Editor->SelStart = 0;
   Editor->Modified = false;
}
//---------------------------------------------------------------------------
__fastcall TReportWin::TReportWin(TComponent* Owner, TStrings *Report, AnsiString Title)
   : TTextWin(Owner)
{
   Caption = Title;
   Editor->WordWrap = true;
   Editor->Lines->Text = Report->Text;
   Editor->Font->Name = "Courier New";
   Editor->Font->Color = clBlack;
   Editor->Font->Size = 9;
   Editor->SelStart = 0;
   Editor->Modified = false;
}
//---------------------------------------------------------------------------
void __fastcall TReportWin::EditorKeyDown(TObject *Sender, WORD &Key,
  TShiftState Shift)
{
   //if (Key==VK_DELETE) ShowMessage("DELETE");
}
//---------------------------------------------------------------------------
void __fastcall TReportWin::OfficeButton1Click(TObject *Sender)
{
   Print();	
}
//---------------------------------------------------------------------------
