/*
*  RptWin.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef RptWinH
#define RptWinH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include "TextWins.h"
#include "explbtn.hpp"
//---------------------------------------------------------------------------
class TReportWin : public TTextWin
{
__published:	// IDE-managed Components
   TOfficeButton *OfficeButton1;
   void __fastcall EditorKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
   void __fastcall OfficeButton1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
   virtual __fastcall TReportWin(TComponent* Owner);
   virtual __fastcall TReportWin(TStrings *Report, AnsiString Title, TComponent* Owner);
   // this one has wordwrap
   virtual __fastcall TReportWin(TComponent* Owner, TStrings *Report, AnsiString Title);

};
//---------------------------------------------------------------------------
extern TReportWin *ReportWin;
//---------------------------------------------------------------------------
#endif
