/*
*  UPDFtpDlg.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef UPDFtpDlgH
#define UPDFtpDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "Ftpcli.hpp"
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall GetQSUpdateList(TComponent *Owner, TStrings *Commands, TStrings *FileList);
bool __fastcall GetQSUpdate(TComponent *Owner, TStrings *Commands);

class TUPDftpDlg : public TForm
{
__published:	// IDE-managed Components
  TFtpClient *FTP;
  TLabel *Label1;
  TPanel *Panel1;
  TMemo *Display;
  TButton *CancelBtn;
  TProgressBar *ProgressBar1;
	TTimer *TimeOut;
  void __fastcall FTPDisplay(TObject *Sender, AnsiString &Msg);
  void __fastcall FTPRequestDone(TObject *Sender, TFtpRequest RqType,WORD Error);
  void __fastcall FTPProgress(TObject *Sender, long Count, bool &Abort);
  void __fastcall FTPSessionConnected(TObject *Sender, WORD Error);
  void __fastcall FTPSessionClosed(TObject *Sender, WORD Error);
  void __fastcall CancelBtnClick(TObject *Sender);
	void __fastcall TimeOutTimer(TObject *Sender);
private:	// User declarations
public:		// User declarations
  int Filesize;
  WORD LastError;
  bool Cancel,Finished;
  double BytesTotal,BytesReceived;
  __fastcall TUPDftpDlg(TComponent* Owner);
  void __fastcall ParseFileList(TStringList *Results);
  int __fastcall GetUpdateList();
  int __fastcall GetUpdate();
};

//---------------------------------------------------------------------------
extern TUPDftpDlg *UPDftpDlg;
//---------------------------------------------------------------------------
#endif
