/*
*  AboutDlgs.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "AboutDlgs.h"
#include "Global.h"
#include "qs\QSver.h"
#include "pop3mail.h"
#include "pgpmail.h"
#include "newsmail.h"
#include "nymmail.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TAboutDlg *AboutDlg;
//---------------------------------------------------------------------------
void __fastcall ShowAboutBox(TForm *owner, int entropy)
{
   int spc = 8;
   AnsiString space,ver;
   AboutDlg = new TAboutDlg(owner);
   CenterDialog(AboutDlg,owner);
   AboutDlg->Caption = "About";
   AboutDlg->Appname->Caption = AppName.Trim()+" "+ReleaseVer.Trim();
   AboutDlg->Copyright->Caption = CopyRight.Trim();
   AboutDlg->PluginList->Height = 0;
   AboutDlg->PluginList->Top = AboutDlg->Appname->Top + AboutDlg->Appname->Height;// + 5;
   AboutDlg->PluginList->Clear();
   if (HasPop3())
   {
      AnsiString libname = GetParam(0,GetPop3AppName()," ");
      libname += space.StringOfChar(' ',spc-libname.Length());
      AboutDlg->PluginList->Lines->Add(libname+AnsiString(GetPop3Version()));
      AboutDlg->PluginList->Height += 16;
      AboutDlg->Copyright->Top += 16;
      AboutDlg->OkBtn->Top += 16;
      AboutDlg->Height += 16;
      AboutDlg->Entropy->Top += 16;
   }
   if (HasPgp())
   {
      AnsiString libname = GetParam(0,GetPgpLibName()," ");
      libname += space.StringOfChar(' ',spc-libname.Length());
      AboutDlg->PluginList->Lines->Add(libname+AnsiString(GetPgpLibVersion()));
      AboutDlg->PluginList->Height += 16;
      AboutDlg->Copyright->Top += 16;
      AboutDlg->OkBtn->Top += 16;
      AboutDlg->Height += 16;
      AboutDlg->Entropy->Top += 16;
   }
   if (HasNyms())
   {
      AnsiString libname = GetParam(0,GetNymLibName()," ");
      libname += space.StringOfChar(' ',spc-libname.Length());
      AboutDlg->PluginList->Lines->Add(libname+AnsiString(GetNymLibVersion()));
      AboutDlg->PluginList->Height += 16;
      AboutDlg->Copyright->Top += 16;
      AboutDlg->OkBtn->Top += 16;
      AboutDlg->Height += 16;
      AboutDlg->Entropy->Top += 16;
   }
   if (HasNews())
   {
      AnsiString libname = GetParam(0,GetNewsLibName()," ");
      libname += space.StringOfChar(' ',spc-libname.Length());
      AboutDlg->PluginList->Lines->Add(libname+GetNewsLibVersion());
      AboutDlg->PluginList->Height += 16;
      AboutDlg->Copyright->Top += 16;
      AboutDlg->OkBtn->Top += 16;
      AboutDlg->Height += 16;
      AboutDlg->Entropy->Top += 16;
   }
   /*if (FileExists(AppDir+"history.setup.txt"))
   {
      TStringList *hist = new TStringList();
      hist->LoadFromFile(AppDir+"history.setup.txt");
      int pos;
      for (int i=0; i<hist->Count; i++)
      {
         AnsiString line = hist->Strings[i];
         if ((pos=line.Pos("v.9b"))>0)
         {
            AboutDlg->PluginList->Lines->Add("Setup   "+line.SubString(pos+1,16).Trim());
            break;
         }
      }
      AboutDlg->PluginList->Height += 16;
      AboutDlg->Copyright->Top += 16;
      AboutDlg->OkBtn->Top += 16;
      AboutDlg->Height += 16;
      AboutDlg->Entropy->Top += 16;
   }*/
   AboutDlg->Copyright->Top += 3;
   AboutDlg->OkBtn->Top += 3;
   AboutDlg->Height += 3;
   AboutDlg->Entropy->Top += 3;
   AboutDlg->Entropy->Caption = "Entropy: "+s(entropy)+"%";
   MyBeep(MB_OK); AboutDlg->ShowModal();
   delete AboutDlg;
}
//---------------------------------------------------------------------------
__fastcall TAboutDlg::TAboutDlg(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
