/*
*  BackupDirDlgs.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "BackupDirDlgs.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TBackupDirDlg *BackupDirDlg;
//---------------------------------------------------------------------------
AnsiString __fastcall GetBackupDirectory(TForm *Owner, AnsiString InitialDir)
{
   AnsiString newdir;
   BackupDirDlg = new TBackupDirDlg(Owner);
   BackupDirDlg->DirectoryListBox1->Directory = InitialDir;
   BackupDirDlg->ShowModal();
   if (BackupDirDlg->ModalResult==mrOk)
      newdir = BackupDirDlg->DirectoryListBox1->Directory;
   delete BackupDirDlg;
   return newdir;
}
//---------------------------------------------------------------------------
__fastcall TBackupDirDlg::TBackupDirDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,Owner);
   Top += 8;
   FileListBox1->Font->Color = clGrayText;
}
//---------------------------------------------------------------------------
void __fastcall TBackupDirDlg::FileListBox1Click(TObject *Sender)
{
   ActiveControl = DirectoryListBox1;
   FileListBox1->ItemIndex = -1;
}
//---------------------------------------------------------------------------
