/*
*  BarredRemsDlgs.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef BarredRemsDlgsH
#define BarredRemsDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "KeyringWins.h"
//---------------------------------------------------------------------------
bool __fastcall CheckDeleteBarredMixmasterKeys(); // called on exit keyring
bool __fastcall CheckDeleteBarredMixmasterKeys(TStrings *Keys); // called in remailerdlg
bool __fastcall CheckDeleteBarredMixmasterType2(TStrings *Bars);

bool __fastcall CheckDeleteBarredCypherpunkKeys(); // called on exit keyring
bool __fastcall CheckDeleteBarredCypherpunkKeys(TStrings *Keys); // called in remailerdlg

bool __fastcall EditBarredCypherpunkRemailers(TForm *Owner);
bool __fastcall EditBarredMixmasterRemailers(TForm *Owner);

const AnsiString BarredCypherpunk = "BarredCypherpunk";
const AnsiString BarredMixmaster = "BarredMixmaster";

class TBarredRemsDlg : public TForm
{
__published:	// IDE-managed Components
	TButton *OkBtn;
	TButton *CancelBtn;
	TBevel *Bevel1;
	TButton *HelpBtn;
	TMemo *Memo1;
	TLabel *Label1;
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    AnsiString cap;
	virtual __fastcall TBarredRemsDlg(TComponent* Owner);
	virtual __fastcall TBarredRemsDlg(TComponent* Owner, char *Caption);
};
//---------------------------------------------------------------------------
extern TBarredRemsDlg *BarredRemsDlg;
//---------------------------------------------------------------------------
#endif
