/*
*  DocMsgDlg.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef DocMsgDlgH
#define DocMsgDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
//---------------------------------------------------------------------------
void __fastcall ShowRemailerDocMessage(TStrings *Explain, TStrings *Items,
   AnsiString &Topic, AnsiString &Caption, TForm *Owner,
   bool sorted=true);

class TDocMessageDlg : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TPanel *Panel2;
  TButton *OkBtn;
  TPanel *Panel3;
  TRichEdit *Explain;
  TRichEdit *List;
  TBitBtn *HelpBtn;
  void __fastcall Panel1Click(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  AnsiString Topic;
  __fastcall TDocMessageDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TDocMessageDlg *DocMessageDlg;
//---------------------------------------------------------------------------
#endif
