/*
*  GetStrtDlg.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "GetStrtDlg.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TGetStartWin *GetStartWin;
//---------------------------------------------------------------------------
void __fastcall GetStarted(AnsiString &quickstartdoc)
{
   if (!FileExists(quickstartdoc))
   {
      ShowMessage("The document '"+ExtractFileName(quickstartdoc)+"' is missing!\nSorry!");
      return;
   }
   GetStartWin = new TGetStartWin(Application->MainForm,quickstartdoc);
}
//---------------------------------------------------------------------------
__fastcall TGetStartWin::TGetStartWin(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
__fastcall TGetStartWin::TGetStartWin(TComponent* Owner, AnsiString &DocumentRtf)
  : TForm(Owner)
{
   if (FileExists(DocumentRtf)) Editor->Lines->LoadFromFile(DocumentRtf);
}
//---------------------------------------------------------------------------
void __fastcall TGetStartWin::SpeedButton1Click(TObject *Sender)
{
   Close();
}
//---------------------------------------------------------------------------
void __fastcall TGetStartWin::SpeedButton2Click(TObject *Sender)
{
   Editor->Print("Getting Started");
}
//---------------------------------------------------------------------------
void __fastcall TGetStartWin::FormClose(TObject *Sender, TCloseAction &Action)
{
   Action = caFree;
}
//----------------------------------------------------------------------------
void __fastcall TGetStartWin::SetEditRect()
{
   TRect Rct = Rect(6,0,Editor->ClientWidth-6,ClientHeight);
   SendMessage(Editor->Handle,EM_SETRECT,0,long(&Rct));
}
//---------------------------------------------------------------------------
void __fastcall TGetStartWin::FormResize(TObject *Sender)
{
   SetEditRect();
}
//---------------------------------------------------------------------------
void __fastcall TGetStartWin::FormPaint(TObject *Sender)
{
   SetEditRect();
}
//---------------------------------------------------------------------------
