/*
*  HelpTopicsDlgs.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "HelpTopicsDlgs.h"
#include "HelpDlgs.h"
#include "Fileman.h"
#include "NymMail.h"
#include "PgpMail.h"
#include "Pop3Mail.h"
#include "Global.h"
#include "view.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
THelpTopicsDlg *HelpTopicsDlg;
//---------------------------------------------------------------------------
void __fastcall BrowseHelpTopics(TForm *Owner)
{
   AnsiString topic;
   HelpTopicsDlg = new THelpTopicsDlg(Owner);
   CenterDialog(HelpTopicsDlg,Owner);
   HelpTopicsDlg->ShowModal();
   delete HelpTopicsDlg;
}
//---------------------------------------------------------------------------
/*AnsiString __fastcall GetTopicFromHelpIndex(TForm *Owner)
{
   AnsiString topic; int pos;
   HelpIndexDlg = new THelpIndexDlg(Owner);
   CenterDialog(HelpIndexDlg,Owner);
   HelpIndexDlg->ShowModal();
   if (HelpIndexDlg->ModalResult==mrOk)
   {
      topic = HelpIndexDlg->ListBox1->Items->Strings[HelpIndexDlg->ListBox1->ItemIndex];
      if ((pos=topic.Pos(", "))>1) topic = topic.SubString(1,pos-1);
      int i=2; while (i<=topic.Length())
      {
         if (topic[i]==' ') topic.Delete(i,1);
         else i++;
      }
   }
   delete HelpIndexDlg;
   return topic;
}*/
//---------------------------------------------------------------------------
__fastcall THelpTopicsDlg::THelpTopicsDlg(TComponent* Owner)
  : TForm(Owner)
{
   AnsiString topic,subtopic,thetopic;
   TStringList *topics = new TStringList();
   TStringList *subtopics = new TStringList();
   GetAppDataMainIndex(topics,QSHelp());
//TStringList *temp = new TStringList();
   for (int i=0; i<topics->Count; i++)
   {
      topic=topics->Strings[i];
      if (topic.Pos("0new.rtf")==1) continue;

      GetAppData(subtopics,topic,QSHelp());
      for (int s=0; s<subtopics->Count; s++)
      {
         int p=2; while (p<topic.Length())
         {
            if (topic[p]>='A' && topic[p]<='Z' && topic[p-1]>='a' && topic[p-1]<='z')
               topic.Insert(" ",p);
            p++;
         }
         subtopic = subtopics->Strings[s];
         thetopic = topic+", "+subtopic.SubString(1,subtopic.Length()-4);
         if (!HasPgp() && thetopic.Pos("PGP") && !thetopic.Pos("PGP Decryption"))
         {
            //temp->Add(thetopic);
            continue;
         }
         if (!HasPgp() && thetopic.Pos("Cypherpunk"))
         {
            //temp->Add(thetopic);
            continue;
         }
         if (!HasNyms() && thetopic.Pos("Nym"))
         {
            //temp->Add(thetopic);
            continue;
         }
         if (!HasPop3() && thetopic.Pos("POP3"))
         {
            //temp->Add(thetopic);
            continue;
         }
         ListBox1->Items->Add(thetopic);
      }
   }
//view(temp);
//delete temp;
   delete subtopics;
   delete topics;
}
//---------------------------------------------------------------------------
void __fastcall THelpTopicsDlg::ListBox1DblClick(TObject *Sender)
{
   OpenBtn->Click();
}
//---------------------------------------------------------------------------
void __fastcall THelpTopicsDlg::ListBox1Click(TObject *Sender)
{
   OpenBtn->Enabled = true;
}
//---------------------------------------------------------------------------
/*void __fastcall THelpTopicsDlg::OpenBtnClick(TObject *Sender)
{
   int pos;
   AnsiString topics,topic;
   for (int i=0; i<ListBox1->Items->Count; i++)
   {
      if (!ListBox1->Selected[i]) continue;
      topic = ListBox1->Items->Strings[i];
      if ((pos=topic.Pos(", "))>1) topic = topic.SubString(1,pos-1);
      int t=2; while (t<=topic.Length())
      {
         if (topic[t]==' ') topic.Delete(t,1);
         else t++;
      }
      if (!topic.IsEmpty())
      {
         if (!topics.IsEmpty()) topics += "\n";
         topics += topic;
      }
   }
   OpenHelpTopics(topics,this);
}*/
//---------------------------------------------------------------------------
void __fastcall THelpTopicsDlg::OpenBtnClick(TObject *Sender)
{
   AnsiString topics,topic;
   for (int i=0; i<ListBox1->Items->Count; i++)
   {
      if (!ListBox1->Selected[i]) continue;
      topic = ListBox1->Items->Strings[i];
      if (!topic.IsEmpty())
      {
         if (!topics.IsEmpty()) topics += "\n";
         topics += topic;
      }
   }
   OpenHelpTopics(topics,this);
}
//---------------------------------------------------------------------------
void __fastcall THelpTopicsDlg::HelpBtnClick(TObject *Sender)
{
   OpenHelp("HelpTopics","","");
}
//---------------------------------------------------------------------------
