/*
*  HelpTopicsDlgs.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef HelpTopicsDlgsH
#define HelpTopicsDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
void __fastcall BrowseHelpTopics(TForm *Owner);
AnsiString __fastcall GetTopicFromHelpIndex(TForm *Owner);


class THelpTopicsDlg : public TForm
{
__published:	// IDE-managed Components
  TButton *OpenBtn;
  TButton *CloseBtn;
  TPageControl *PageControl1;
  TTabSheet *TabSheet1;
  TListBox *ListBox1;
  TLabel *Label1;
  TButton *HelpBtn;
  void __fastcall ListBox1DblClick(TObject *Sender);
  void __fastcall ListBox1Click(TObject *Sender);
  void __fastcall OpenBtnClick(TObject *Sender);
  void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  __fastcall THelpTopicsDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern THelpTopicsDlg *HelpTopicsDlg;
//---------------------------------------------------------------------------
#endif
