/*
*  KeyringClrDlgs.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef KeyringClrDlgsH
#define KeyringClrDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
bool __fastcall KeyringClearKeys(TForm *Owner, AnsiString Name, bool &clearall);

class TKeyringClrDlg : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TCheckBox *DisabledBox;
	TLabel *Label2;
	TLabel *Label3;
	TButton *OkBtn;
	TButton *CancelBtn;
	TButton *HelpBtn;
	void __fastcall DisabledBoxClick(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    AnsiString keyringname;
	virtual __fastcall TKeyringClrDlg(TComponent* Owner);
	virtual __fastcall TKeyringClrDlg(TComponent* Owner, AnsiString KeyringName);
    AnsiString __fastcall KeyringKeepDisabled();
};
//---------------------------------------------------------------------------
extern TKeyringClrDlg *KeyringClrDlg;
//---------------------------------------------------------------------------
#endif
