/*
*  MIMEmanEnc.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef MIMEmanEncH
#define MIMEmanEncH

#include "MIMEman4.h"
//---------------------------------------------------------------------------
bool __fastcall EncodeMIMEAttachments(TForm *Owner, TStrings *Message);
bool __fastcall EncodeMIMEAttachments4PGP(TForm *Owner, TStrings *Message);
AnsiString __fastcall Base64EncodeLine(AnsiString line);

class TMIMEencoder : public TObject
{
public:
   int status;
   bool ok,cancel;
   TStrings *Message;
   TMIMEdlg *mimedlg;
   TStringList *Inlines;
   TStringList *Filenames;
   AnsiString MimeBoundary;

   __fastcall TMIMEencoder(TMIMEdlg *MimeDlg, TStrings *Message);
   __fastcall~TMIMEencoder();
   bool __fastcall EncodeAttachments();
   bool __fastcall AttachFilesInline(TStrings *filenames);
   void __fastcall AttachFile(TFileName &Filename, AnsiString &encodemethod);
   bool __fastcall AttachInlineBase64(AnsiString &filename, TStrings *message);
   bool __fastcall AttachInlineUU(AnsiString &filename, TStrings *message);
   void __fastcall Base64Encode(AnsiString &Filename, TStrings *message);
   void __fastcall UUEncode(AnsiString &Filename, TStrings *message);
   AnsiString __fastcall GetContentType(AnsiString &Filename);
   void __fastcall DeleteHeader(AnsiString &Header);
   void __fastcall ShowProgress(double position);
   int  __fastcall GetAttachmentNames();
   int  __fastcall EOH();
};
//---------------------------------------------------------------------------
#endif
