/*
*  MailPoolDlgs.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
#define _WINSOCKAPI_
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "MailPoolDlgs.h"
//#include "..\qsnews\NewsManDlgs.h"
//#include "..\qsnews\NewsProfDlgs.h"
#include "FileMan.h"
#include "HeadMan.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMailPoolDlg *MailPoolDlg;
//---------------------------------------------------------------------------
bool __fastcall ProcessPooledMail(TForm *Owner)
{
   if (!FileExists(AppNewsDat)) return false;
   MailPoolDlg = new TMailPoolDlg(Owner);
   MailPoolDlg->ShowModal();
   delete MailPoolDlg;
   return true;
}
//---------------------------------------------------------------------------
__fastcall TMailPoolDlg::TMailPoolDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,Owner);
   cap = Label1->Caption;
   Timer1->Enabled = true;
   Timer2->Enabled = true;
}
//---------------------------------------------------------------------------
void __fastcall TMailPoolDlg::Timer1Timer(TObject *Sender)
{
   if (Label1->Caption.IsEmpty()) Label1->Caption = cap;
   else Label1->Caption = "";
}
//---------------------------------------------------------------------------
void __fastcall TMailPoolDlg::Timer2Timer(TObject *Sender)
{
   Timer2->Enabled = false;
   MovePooledToInbox();
}
//---------------------------------------------------------------------------
bool __fastcall TMailPoolDlg::MovePooledToInbox()
{
   AnsiString description,profile,newsgroup,lastnum;
   TStringList *msg = new TStringList();
   TStringList *msgs = new TStringList();
   GetAppData(msgs,"mailpool",AppNewsDat);

   THeaderManager *hm = new THeaderManager();
   for (int i=0; i<msgs->Count; i++)
   {
      AppProcessMessages();
      description = msgs->Strings[i];
      profile = GetToken(0,description,"|");
      newsgroup = GetToken(1,description,"|");
      lastnum = GetToken(2,description,"|");
      GetAppData(msg,"mailpool"+PS+description,AppNewsDat); // get message
    //PutAppData("mailpool"+description,NULL,AppNewsDat); // delete it from pool
      PutAppData("mailboxes"+PS+"inbox"+PS+hm->InIndexString(msg),msg);
      SetProfileLastMessageNum(description);
   }
   delete hm;
   delete msgs;
   delete msg;
   ModalResult = mrOk;
   return true;
}
//---------------------------------------------------------------------------
void __fastcall TMailPoolDlg::SetProfileLastMessageNum(AnsiString &description)
{
/*   TNewsProfile *profile; TNewsgroupProfile *newsgroup;
   TNewsProfileList *profiles = new TNewsProfileList(AppNewsDat);
   AnsiString profilename=GetToken(0,description,"|"),groupname=GetToken(1,description,"|");
   int lastnum = GetToken(2,description,"|").ToIntDef(-1);
   for (int p=0; p<profiles->Count; p++)
   {
      profile = profiles->profile(p);
      if (profile->name==profilename)
      {
         for (int g=0; g<profile->newsgroups->Count; g++)
         {
            newsgroup = profile->newsgroup(g);
            if (newsgroup->name==groupname)
                newsgroup->lastmessagenum = lastnum;
         }
      }
   }
   profiles->Save();
   delete profiles;*/
}
//---------------------------------------------------------------------------
