/*
*  MimeEncodeDlgs.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef MimeEncodeDlgsH
#define MimeEncodeDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
AnsiString __fastcall GetAttachmentFileName(TForm *Owner, AnsiString Filename);

class TMimeNameDlg : public TForm
{
__published:	// IDE-managed Components
	TEdit *Filename;
	TButton *BrowseBtn;
	TButton *CancelBtn;
	TOpenDialog *OpenDialog;
	TButton *OkBtn;
	TBevel *Bevel1;
	TLabel *Label1;
	TButton *HelpBtn;
	TGroupBox *OptionsGroup;
	TGroupBox *EncodingGroup;
	TRadioButton *MimeBtn;
	TRadioButton *UuBtn;
	TCheckBox *InlineBox;
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall BrowseBtnClick(TObject *Sender);
	
	void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
   TStringList *files;
	__fastcall TMimeNameDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TMimeNameDlg *MimeNameDlg;
//---------------------------------------------------------------------------
#endif
