/*
*  MixDupChnDlgs.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "MixDupChnDlgs.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMixDupChnDlg *MixDupChnDlg;
//---------------------------------------------------------------------------
bool __fastcall HasDuplicateMixChainsAfterEncrypt(TForm *Owner, TStrings *chains)
{
   AnsiString chain; int idx;
   TStringList *dups = new TStringList();
   TStringList *Chains = new TStringList();
   Chains->AddStrings(chains);
   while (Chains->Count)
   {
      chain = Chains->Strings[0]; Chains->Delete(0);
      if (Chains->IndexOf(chain)>=0)
      {
         if (dups->IndexOf(chain)<0) dups->Add(chain);
         while ((idx=Chains->IndexOf(chain))>=0)
            Chains->Delete(idx);
      }
   }
   if (dups->Count)
   {
      AnsiString chns; int c=dups->Count;
      for (int i=0; i<dups->Count; i++)
         chns += "\n"+dups->Strings[i];

      MixDupChnDlg = new TMixDupChnDlg(AppMainForm);
      MixDupChnDlg->Msg->Lines->Text =
         s("The remailer chains mixmaster has chosen for you contain ")+
         s(s(c)+" chain"+(c>0?"s":"")+" that are duplicated. This situation is not ")+
         s("ideal. I suggest you cancel now and start the send again.\n")+
         s(chns);
      MixDupChnDlg->ShowModal();
      bool cancel = MixDupChnDlg->ModalResult==mrCancel;
      delete MixDupChnDlg;
      return cancel;
   }
   return false;
}
//---------------------------------------------------------------------------
__fastcall TMixDupChnDlg::TMixDupChnDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,Owner);
}
//---------------------------------------------------------------------------
