/*
*  MixMsg.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef MixThreadH
#define MixThreadH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include "headman.h"
//---------------------------------------------------------------------------
void __fastcall MixmasterPoolClear(); // clears the mixmaster 'pool' subdir
long __fastcall MixPoolGet(TStrings *Message, AnsiString &Name, int atPos);
long __fastcall MixPoolAdd(TStrings *Message, AnsiString &Name);
void __fastcall MixPoolDelete(int atPos);
void __fastcall MixPoolDeleteFile();
long __fastcall MixPoolCount();
#define MSG_POST 2

class TMixMessage
{
private:
   long __fastcall MixMessage(TStrings *Message, AnsiString &Chain, int copies,
      TStringList *Feedback);
protected:
public:
   int Copies;
   AnsiString Msg;
   TStrings *display;
   bool Finished,Cancelled;
   AnsiString From,Host,Chain;
   THeaderManager *HeadMan;
   TProgressBar *ProgressBar;
   TStringList *Message,*Feedback;
   __fastcall TMixMessage(TStringList *message, TStrings *aDisplay,
      TProgressBar *progressbar, TStringList *Feedback);
   __fastcall ~TMixMessage();
   long __fastcall Execute();
};

const AnsiString MixmasterChain = "Mixmaster Chain";
//---------------------------------------------------------------------------
#endif
