/*
*  NewNameDlgs.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "NewNameDlgs.h"
#include "FileMan.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TNewNameDlg *NewNameDlg;
//---------------------------------------------------------------------------
AnsiString __fastcall GetMailboxName()
{
   AnsiString Boxname;
   TStringList *boxes = new TStringList();
   GetAppData(boxes,UserMailboxes);
   NewNameDlg = new TNewNameDlg(Application->MainForm);
   NewNameDlg->Caption = "Create New Mailbox";
   NewNameDlg->Label->Caption = "Enter name : ";
   NewNameDlg->ShowModal();
   if (NewNameDlg->ModalResult==mrOk)
      Boxname = NewNameDlg->Name->Text;
   delete NewNameDlg;
   delete boxes;
   return Boxname;
}
//---------------------------------------------------------------------------
AnsiString __fastcall GetMailboxRename(AnsiString &currname)
{
   AnsiString Boxname;
   TStringList *boxes = new TStringList();
   GetAppData(boxes,UserMailboxes);
   NewNameDlg = new TNewNameDlg(Application->MainForm);
   NewNameDlg->Caption = "Rename Mailbox : "+currname;
   NewNameDlg->Label->Caption = "Enter new name : ";
   NewNameDlg->OriginalName = currname;
   NewNameDlg->Name->Text = currname;
   NewNameDlg->Name->SelectAll();
   NewNameDlg->Items = boxes;
   NewNameDlg->ShowModal();
   if (NewNameDlg->ModalResult==mrOk)
      Boxname = NewNameDlg->Name->Text;
   delete NewNameDlg;
   delete boxes;
   return Boxname;
}
//---------------------------------------------------------------------------
__fastcall TNewNameDlg::TNewNameDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,(TForm*)Owner);
   Items = NULL;
}
//---------------------------------------------------------------------------
void __fastcall TNewNameDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (ModalResult==mrCancel || Name->Text.IsEmpty() || !Items)
      return;

   bool exists = false;
   for (int i=0; i<Items->Count; i++)
   if (Items->Strings[i]==Name->Text)
   {
      exists = true;
      break;
   }
   if (!exists) return;

   MsgBoxHwnd(Handle,"The name \""+Name->Text+"\" already exists!",
      "Duplicate Name",MB_OK);
   if (OriginalName.IsEmpty()) Name->Clear();
   else
   {
      Name->Text = OriginalName;
      Name->SelectAll();
   }
   ActiveControl = Name;
   CanClose = false;
}
//---------------------------------------------------------------------------
void __fastcall TNewNameDlg::FormKeyPress(TObject *Sender, char &Key)
{
   if (Key==PS[1])
   {
      MyBeep(MB_OK);
      Key = '\0';
   }
}
//---------------------------------------------------------------------------
